Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.customer.jaas
Class TemplateAction

    java.lang.Object
      com.beasys.commerce.ebusiness.customer.jaas.TemplateAction

All Implemented Interfaces
  PrivilegedExceptionAction

Deprecated See BEA Commerce product offering

    @Deprecated
    public class TemplateAction

extends Object
implements PrivilegedExceptionAction

Constructor Summary
`TemplateAction(Customer customer, CustomerValue customerValue)` Deprecated See BEA Commerce product offering

Method Summary
`Object` | `run()` Deprecated See BEA Commerce product offering
`void` | `updateCustomer(Customer customer, CustomerValue customerValue)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TemplateAction

    public TemplateAction(Customer customer,
                          CustomerValue customerValue)

  Deprecated See BEA Commerce product offering

Method Detail

### run

    public Object run()
               throws Exception

  Deprecated See BEA Commerce product offering

  Implement the PrivilegedExceptionAction interface

  Specified by:
    `run` in interface `PrivilegedExceptionAction`
  Throws
    `Exception` - thrown by updateCustomer()
  See Also
    `updateCustomer() for exception cases`

### updateCustomer

    public void updateCustomer(Customer customer,
                               CustomerValue customerValue)
                        throws PrivilegedActionException

  Deprecated See BEA Commerce product offering

  See the class documentation above.

  Parameters
    `pSession` - `PipelineSession` from where it gets `CustomerValue` object.
    `customer` - `Customer` object for current user.
    `customerValue` - `CusotmerValue` object for current user.
  Throws
    `PrivilegedActionException` - if either a RemoteException or a PropertyValidation exception occurs while setting customer properties.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved